Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

📋 İade İşlemleri Listesi

İade işlemlerini filtreleyerek sayfalı şekilde listeler. POST https://api-test.fincraft.com.tr/api/v1/general/operations/refunds/list

Request Body

{
  "startDate": "2025-09-01",
  "endDate": "2025-10-30",
  "status": "SUCCESS"
}

Request Parametreleri

ParametreTipZorunluAçıklama
startDateLocalDateHayırBaşlangıç tarihi (YYYY-MM-DD)
endDateLocalDateHayırBitiş tarihi (YYYY-MM-DD)
statusStringHayırİşlem durumu

Response Body

{
  "response": {
    "content": [
      {
        "transactionId": "9528cb46-5bea-4acc-be08-545b072c6af9",
        "referenceId": "462ef792-7c20-4f20-bca6-92c1491bab9b",
        "amount": 1.00,
        "currency": "TRY",
        "paymentMethod": "REFUND",
        "status": "SUCCESS",
        "transactionDate": "2025-09-19T09:17:07.669+00:00"
      }
    ],
    "totalElements": 1
  }
}

cURL Örneği

curl -X POST https://api-test.fincraft.com.tr/api/v1/general/operations/refunds/list \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"startDate": "2025-09-01", "endDate": "2025-10-30", "status": "SUCCESS"}'